## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaDiffFileReader

### DatabaseSchema::ezcDbSchemaDiffFileReader

### Interface ezcDbSchemaDiffFileReader

This class provides the interface for file difference schema readers

Source for this file: /DatabaseSchema/src/interfaces/file_diff_reader.php

    ezcDbSchemaDiffReader
       |
       --ezcDbSchemaDiffFileReader

Version: | //autogen//

### Method Summary

public ezcDbSchemaDiff | `loadDiffFromFile( $file )` Returns an ezcDbSchemaDiff object created from the differences stored in the file $file

### Inherited Methods

From ezcDbSchemaDiffReader
public int | `ezcDbSchemaDiffReader::getDiffReaderType()` Returns what type of schema difference reader this class implements.

### Methods

#### loadDiffFromFile

ezcDbSchemaDiff loadDiffFromFile( string $file )

Returns an ezcDbSchemaDiff object created from the differences stored in the file $file

##### Parameters:

Name | Type | Description
--- | --- | ---
`$file` | string |

Documentation generated by phpDocumentor 1.4.3